Clone Dataset

Create a copy of an existing dataset with all its columns and rows.

POST https://api.futureagi.com/model-hub/develops/clone-dataset/{id}/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

id UUID Required

UUID of the source dataset to clone.

Request body

new_dataset_name string Optional

Name for the cloned dataset.

Response

200 OK
message string
Confirmation message.
dataset_id string
UUID of the cloned dataset.
dataset_name string
Name of the cloned dataset.

Errors

400 Bad Request Optional
Invalid request parameters.
401 Unauthorized Optional
Invalid or missing API credentials.
404 Not Found Optional
The source dataset could not be found.
429 Too Many Requests Optional
Resource limit reached.
500 Internal Server Error Optional
Unexpected server error.
GET /
Authentication
REQUEST
 
RESPONSE